librevenge::RVNGTextTextGeneratorImpl Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
librevenge::RVNGTextTextGeneratorImpl Struct Reference

## Public Member Functions
| RVNGTextTextGeneratorImpl (RVNGString &document, bool isInfo)
| RVNGTextTextGeneratorImpl (const RVNGTextTextGeneratorImpl &)
RVNGTextTextGeneratorImpl & | operator= (const RVNGTextTextGeneratorImpl &)

## Public Attributes
RVNGString & | m_document
std::ostringstream | m_text
std::ostringstream * | m_stream
std::ostringstream | m_footnote
std::ostringstream | m_endnotes
int | m_nextFootnote
int | m_nextEndnote
bool | m_inFootnote
bool | m_isInfo

## Constructor & Destructor Documentation

## ◆ RVNGTextTextGeneratorImpl() [1/2]

librevenge::RVNGTextTextGeneratorImpl::RVNGTextTextGeneratorImpl | ( | RVNGString & | document,
|  | bool | isInfo
| ) |  |
| explicit

## ◆ RVNGTextTextGeneratorImpl() [2/2]

librevenge::RVNGTextTextGeneratorImpl::RVNGTextTextGeneratorImpl | ( | const RVNGTextTextGeneratorImpl & |  | ) |

## Member Function Documentation

## ◆ operator=()

RVNGTextTextGeneratorImpl& librevenge::RVNGTextTextGeneratorImpl::operator= | ( | const RVNGTextTextGeneratorImpl & |  | ) |

## Member Data Documentation

## ◆ m_document

RVNGString& librevenge::RVNGTextTextGeneratorImpl::m_document

Referenced by librevenge::RVNGTextTextGenerator::endDocument().

## ◆ m_endnotes

std::ostringstream librevenge::RVNGTextTextGeneratorImpl::m_endnotes

Referenced by librevenge::RVNGTextTextGenerator::endDocument(), and librevenge::RVNGTextTextGenerator::openEndnote().

## ◆ m_footnote

std::ostringstream librevenge::RVNGTextTextGeneratorImpl::m_footnote

Referenced by librevenge::RVNGTextTextGenerator::closeParagraph(), and librevenge::RVNGTextTextGenerator::openFootnote().

## ◆ m_inFootnote

bool librevenge::RVNGTextTextGeneratorImpl::m_inFootnote

Referenced by librevenge::RVNGTextTextGenerator::closeFootnote(), librevenge::RVNGTextTextGenerator::closeParagraph(), and librevenge::RVNGTextTextGenerator::openFootnote().

## ◆ m_isInfo

bool librevenge::RVNGTextTextGeneratorImpl::m_isInfo

Referenced by librevenge::RVNGTextTextGenerator::closeParagraph(), librevenge::RVNGTextTextGenerator::insertLineBreak(), librevenge::RVNGTextTextGenerator::insertSpace(), librevenge::RVNGTextTextGenerator::insertTab(), librevenge::RVNGTextTextGenerator::insertText(), and librevenge::RVNGTextTextGenerator::setDocumentMetaData().

## ◆ m_nextEndnote

int librevenge::RVNGTextTextGeneratorImpl::m_nextEndnote

Referenced by librevenge::RVNGTextTextGenerator::openEndnote().

## ◆ m_nextFootnote

int librevenge::RVNGTextTextGeneratorImpl::m_nextFootnote

Referenced by librevenge::RVNGTextTextGenerator::openFootnote().

## ◆ m_stream

std::ostringstream* librevenge::RVNGTextTextGeneratorImpl::m_stream

Referenced by librevenge::RVNGTextTextGenerator::closeEndnote(), librevenge::RVNGTextTextGenerator::closeFootnote(), librevenge::RVNGTextTextGenerator::closeParagraph(), librevenge::RVNGTextTextGenerator::endDocument(), librevenge::RVNGTextTextGenerator::insertLineBreak(), librevenge::RVNGTextTextGenerator::insertSpace(), librevenge::RVNGTextTextGenerator::insertTab(), librevenge::RVNGTextTextGenerator::insertText(), librevenge::RVNGTextTextGenerator::openEndnote(), librevenge::RVNGTextTextGenerator::openFootnote(), and librevenge::RVNGTextTextGenerator::setDocumentMetaData().

## ◆ m_text

std::ostringstream librevenge::RVNGTextTextGeneratorImpl::m_text

Referenced by librevenge::RVNGTextTextGenerator::closeEndnote(), and librevenge::RVNGTextTextGenerator::closeFootnote().

The documentation for this struct was generated from the following file:

- RVNGTextTextGenerator.cpp